// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: resourcemodule/resourcemodule.proto

package openfmb.resourcemodule;

public interface ResourceEventOrBuilder extends
    // @@protoc_insertion_point(interface_extends:resourcemodule.ResourceEvent)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the identifiedObject field is set.
   */
  boolean hasIdentifiedObject();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
   * @return The identifiedObject.
   */
  openfmb.commonmodule.IdentifiedObject getIdentifiedObject();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.IdentifiedObject identifiedObject = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.IdentifiedObjectOrBuilder getIdentifiedObjectOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.AnalogEventAndStatusGGIO analogEventAndStatusGGIO = 2 [(.uml.option_multiplicity_min) = 0];</code>
   */
  java.util.List<openfmb.commonmodule.AnalogEventAndStatusGGIO> 
      getAnalogEventAndStatusGGIOList();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.AnalogEventAndStatusGGIO analogEventAndStatusGGIO = 2 [(.uml.option_multiplicity_min) = 0];</code>
   */
  openfmb.commonmodule.AnalogEventAndStatusGGIO getAnalogEventAndStatusGGIO(int index);
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.AnalogEventAndStatusGGIO analogEventAndStatusGGIO = 2 [(.uml.option_multiplicity_min) = 0];</code>
   */
  int getAnalogEventAndStatusGGIOCount();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.AnalogEventAndStatusGGIO analogEventAndStatusGGIO = 2 [(.uml.option_multiplicity_min) = 0];</code>
   */
  java.util.List<? extends openfmb.commonmodule.AnalogEventAndStatusGGIOOrBuilder> 
      getAnalogEventAndStatusGGIOOrBuilderList();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.AnalogEventAndStatusGGIO analogEventAndStatusGGIO = 2 [(.uml.option_multiplicity_min) = 0];</code>
   */
  openfmb.commonmodule.AnalogEventAndStatusGGIOOrBuilder getAnalogEventAndStatusGGIOOrBuilder(
      int index);

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.BooleanEventAndStatusGGIO booleanEventAndStatusGGIO = 3 [(.uml.option_multiplicity_min) = 0];</code>
   */
  java.util.List<openfmb.commonmodule.BooleanEventAndStatusGGIO> 
      getBooleanEventAndStatusGGIOList();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.BooleanEventAndStatusGGIO booleanEventAndStatusGGIO = 3 [(.uml.option_multiplicity_min) = 0];</code>
   */
  openfmb.commonmodule.BooleanEventAndStatusGGIO getBooleanEventAndStatusGGIO(int index);
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.BooleanEventAndStatusGGIO booleanEventAndStatusGGIO = 3 [(.uml.option_multiplicity_min) = 0];</code>
   */
  int getBooleanEventAndStatusGGIOCount();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.BooleanEventAndStatusGGIO booleanEventAndStatusGGIO = 3 [(.uml.option_multiplicity_min) = 0];</code>
   */
  java.util.List<? extends openfmb.commonmodule.BooleanEventAndStatusGGIOOrBuilder> 
      getBooleanEventAndStatusGGIOOrBuilderList();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.BooleanEventAndStatusGGIO booleanEventAndStatusGGIO = 3 [(.uml.option_multiplicity_min) = 0];</code>
   */
  openfmb.commonmodule.BooleanEventAndStatusGGIOOrBuilder getBooleanEventAndStatusGGIOOrBuilder(
      int index);

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.IntegerEventAndStatusGGIO integerEventAndStatusGGIO = 4 [(.uml.option_multiplicity_min) = 0];</code>
   */
  java.util.List<openfmb.commonmodule.IntegerEventAndStatusGGIO> 
      getIntegerEventAndStatusGGIOList();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.IntegerEventAndStatusGGIO integerEventAndStatusGGIO = 4 [(.uml.option_multiplicity_min) = 0];</code>
   */
  openfmb.commonmodule.IntegerEventAndStatusGGIO getIntegerEventAndStatusGGIO(int index);
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.IntegerEventAndStatusGGIO integerEventAndStatusGGIO = 4 [(.uml.option_multiplicity_min) = 0];</code>
   */
  int getIntegerEventAndStatusGGIOCount();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.IntegerEventAndStatusGGIO integerEventAndStatusGGIO = 4 [(.uml.option_multiplicity_min) = 0];</code>
   */
  java.util.List<? extends openfmb.commonmodule.IntegerEventAndStatusGGIOOrBuilder> 
      getIntegerEventAndStatusGGIOOrBuilderList();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.IntegerEventAndStatusGGIO integerEventAndStatusGGIO = 4 [(.uml.option_multiplicity_min) = 0];</code>
   */
  openfmb.commonmodule.IntegerEventAndStatusGGIOOrBuilder getIntegerEventAndStatusGGIOOrBuilder(
      int index);

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.StringEventAndStatusGGIO stringEventAndStatusGGIO = 5 [(.uml.option_multiplicity_min) = 0];</code>
   */
  java.util.List<openfmb.commonmodule.StringEventAndStatusGGIO> 
      getStringEventAndStatusGGIOList();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.StringEventAndStatusGGIO stringEventAndStatusGGIO = 5 [(.uml.option_multiplicity_min) = 0];</code>
   */
  openfmb.commonmodule.StringEventAndStatusGGIO getStringEventAndStatusGGIO(int index);
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.StringEventAndStatusGGIO stringEventAndStatusGGIO = 5 [(.uml.option_multiplicity_min) = 0];</code>
   */
  int getStringEventAndStatusGGIOCount();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.StringEventAndStatusGGIO stringEventAndStatusGGIO = 5 [(.uml.option_multiplicity_min) = 0];</code>
   */
  java.util.List<? extends openfmb.commonmodule.StringEventAndStatusGGIOOrBuilder> 
      getStringEventAndStatusGGIOOrBuilderList();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>repeated .commonmodule.StringEventAndStatusGGIO stringEventAndStatusGGIO = 5 [(.uml.option_multiplicity_min) = 0];</code>
   */
  openfmb.commonmodule.StringEventAndStatusGGIOOrBuilder getStringEventAndStatusGGIOOrBuilder(
      int index);
}
